Add a new feature flag

View as Markdown
Create a new feature flag in a specified project.

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

projectIdstringRequired

Request

createFeatureSchema
namestringRequired
Unique feature name
typeenumOptional

The feature flag’s type. One of experiment, kill-switch, release, operational, permission, or sunset

descriptionstring or nullOptional
Detailed description of the feature
impressionDatabooleanOptional

true if the impression data collection is enabled for the feature, otherwise false.

tagslist of objectsOptional
Tags to add to the feature.

Response

featureSchema
namestring
Unique feature name
typestringOptional

Type of the flag e.g. experiment, kill-switch, release, operational, permission

descriptionstring or nullOptional
Detailed description of the feature
archivedbooleanOptional

true if the feature is archived

projectstringOptional
Name of the project the feature belongs to
enabledbooleanOptional

true if the feature is enabled, otherwise false.

stalebooleanOptional

true if the feature is stale based on the age and feature type, otherwise false.

favoritebooleanOptional

true if the feature was favorited, otherwise false.

impressionDatabooleanOptional

true if the impression data collection is enabled for the feature, otherwise false.

createdAtstring or nullOptionalformat: "date-time"
The date the feature was created
createdByobjectOptional
User who created the feature flag
archivedAtstring or nullOptionalformat: "date-time"
The date the feature was archived
environmentslist of objectsOptional
The list of environments where the feature can be used
tagslist of objects or nullOptional
The list of feature tags
childrenlist of stringsOptional
The list of child feature names. This is an experimental field and may change.
lifecycleobjectOptional
Current lifecycle stage of the feature
dependencieslist of objectsOptional
The list of parent dependencies. This is an experimental field and may change.
collaboratorsobjectOptional
Information related to users who have made changes to this feature flage.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
415
Unsupported Media Type Error